<template>
  <v-card >
   <v-list class="d-flex justify-space-between">
    <v-list-item> <v-btn variant="plain" @click="toHomehandler"><h2>DIOR</h2></v-btn></v-list-item>
    <v-list-item>
      <template v-if="isLoggedIn">
        <v-btn
         v-bind="props"
         color="light-green-accent-4"
         style="width: 200px;"
        >
       {{ currentUser.username }}
        </v-btn>
        <v-btn
        @click="logout"
        class="mx-2"
        elevation="0"
        >
          Log out
        </v-btn>
        <v-btn
        class="mx-2"
        elevation="0"
        >
        <RouterLink  class="text-decoration-none text-blue shadow-none" :to="{name:'create-article'}">Create article</RouterLink>
        </v-btn>
    </template>
  </v-list-item>
    
    <template v-if="isAnonymus">
      <v-list-item >
      <v-btn variant="plain">
        <RouterLink  class="text-decoration-none text-blue" :to="{name:'login'}">Login</RouterLink>
      </v-btn>
      <v-btn variant="plain">
        <RouterLink class="text-decoration-none text-blue"  to="/register">Register</RouterLink>
      </v-btn>
     </v-list-item>
    </template>
   
   </v-list>

  </v-card>
</template>
<script>
import {mapGetters} from 'vuex'
import { getterTypes } from '@/modules/types'
  export default {
    name:'NavBar',
    data: () => ({
   
    }),
    computed:{
      ...mapGetters({
        currentUser: getterTypes.currentUser,
        isLoggedIn: getterTypes.isLoggedIn,
        isAnonymus: getterTypes.isAnonymus
      }),
      
    },
    methods:{
      toHomehandler(){
        this.$router.push('/')
      },
      logout(){
        return this.$store.dispatch('logout')
      }
    }
  }
</script>
<style scoped>

</style>